Opened 4 years ago

Last modified 4 years ago

#5729 closed defect

[PATCH] build-osx-libs.sh update — at Version 7

Reported by: martin_2m Owned by:
Priority: Release Blocker Milestone: Alpha 24
Component: Build & Packages Keywords: macos
Cc: Patch:

Description (last modified by Krinkle)

I would like to recommend the following changes to build the libraries. I found the suggestions for these changes here https://gitlab.com/gnutls/gnutls/-/issues/966

I have set the versions for 'gnutls' to 3.6.13. The download URL and the version of 'icu' I set to 66.1.

Here is the patch file for build-osx-libs.sh

--- original_0ad/0ad/libraries/osx/build-osx-libs.sh    2020-04-23 14:23:04.000000000 +0200
+++ 0ad/libraries/osx/build-osx-libs.sh 2020-04-23 13:57:39.000000000 +0200
@@ -37,11 +37,11 @@
 GMP_VERSION="gmp-6.1.2"
 NETTLE_VERSION="nettle-3.5.1"
 # NOTE: remember to also update LIB_URL below when changing version
-GNUTLS_VERSION="gnutls-3.6.8"
+GNUTLS_VERSION="gnutls-3.6.13"
 GLOOX_VERSION="gloox-1.0.22"
 # OS X only includes part of ICU, and only the dylib
 # NOTE: remember to also update LIB_URL below when changing version
-ICU_VERSION="icu4c-59_1"
+ICU_VERSION="icu4c-66_1"
 ENET_VERSION="enet-1.3.13"
 MINIUPNPC_VERSION="miniupnpc-2.0.20180222"
 SODIUM_VERSION="libsodium-1.0.18"
@@ -656,7 +656,6 @@
 LIB_ARCHIVE="$LIB_VERSION.tar.xz"
 LIB_DIRECTORY="$LIB_VERSION"
 LIB_URL="https://www.gnupg.org/ftp/gcrypt/gnutls/v3.6/"
-
 mkdir -p gnutls
 pushd gnutls > /dev/null

@@ -695,7 +694,7 @@
           --without-p11-kit \
           --disable-tests \
           --disable-nls \
-    && make ${JOBS} && make install) || die "GnuTLS build failed"
+    && make ${JOBS} LDFLAGS= install) || die "GnuTLS build failed"
   popd
   touch .already-built
 else
@@ -754,7 +753,7 @@
 LIB_VERSION="${ICU_VERSION}"
 LIB_ARCHIVE="$LIB_VERSION-src.tgz"
 LIB_DIRECTORY="icu"
-LIB_URL="http://download.icu-project.org/files/icu4c/59.1/"
+LIB_URL="https://github.com/unicode-org/icu/releases/download/release-66-1/"

 mkdir -p $LIB_DIRECTORY
 pushd icu > /dev/null

Change History (8)

by martin_2m, 4 years ago

Attachment: build-osx-libs.sh.patch added

comment:1 by martin_2m, 4 years ago

Component: Core engineBuild & Packages
Milestone: BacklogAlpha 24
Priority: Should HaveMust Have

comment:2 by Stan, 4 years ago

Component: Build & PackagesCore engine
Milestone: Alpha 24Backlog
Priority: Must HaveShould Have

Hey there,

Patches should be uploaded (with context) to https://code.wildfiregames.com for review.

If you need more info see wiki:SubmittingPatches and wiki:Phabricator

You can also add yourself to the credits when you do so.

Thanks for the patch!

comment:3 by Stan, 4 years ago

Component: Core engineBuild & Packages
Milestone: BacklogWork In Progress

comment:4 by martin_2m, 4 years ago

Milestone: Work In ProgressAlpha 24
Priority: Should HaveMust Have
Summary: build-osx-libs update[PATCH] build-osx-libs update

comment:5 by martin_2m, 4 years ago

Summary: [PATCH] build-osx-libs update[PATCH] build-osx-libs.sh update

comment:6 by Krinkle, 4 years ago

Keywords: macos added

comment:7 by Krinkle, 4 years ago

Description: modified (diff)
Note: See TracTickets for help on using tickets.